*{
    margin:0;
    padding: 0;
    border: 0;
    outline: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
}

:root{
    --color-primary: #034694;
    --color-success: #00bf8e;
    --color-warning: #f7c94b;
    --color-danger: #f75842;
    --color-danger-variant: #rgba(247, 88, 66, 0.4);
    --color-white: #fff;
    --color-light: rgba(255, 255, 255, 0.7);
    --color-black: #000;
    --color-bg: #133C55;
    --color-bg1: #386FA4;
    --color-bg2: #59A5D8;
    --color-bg3: #909095;
    --color-secondary:  #4682B4;

    --container-width-lg: 76%;
    --container-width-md: 90%;
    --container-width-sm: 94%;

    --transition: all 400ms ease;
}

body{
    font-family: 'Montserrat', sans-serif;
        line-height: 1.7;
        color: var(--color-white);
        background: var(--color-bg);
}

.container{
    width: var(--container-width-lg);
    margin: 0 auto;
}

section{
    padding: 6rem 0;

}
section h2 {
    text-align: center;
    margin-bottom: 4rem;
}
h1,h2,h3,h4,h5{
    line-height: 1.2;
}
h1{
    font-size: 2.4rem;
}
h2{
    font-size: 2rem;
}
h3{
    font-size: 1.6rem;
}
h4{
    font-size: 1.3rem;
}

a{
    color: var(--color-white);
}

img{
    width: 100%;
    display: block;
    object-fit: cover;
}

.btn{
    display: inline-block;
    background: var(--color-white);
    color: var(--color-black);
    padding: 1rem 2rem;
    border: 1px solid transparent;
    font-weight: 500;
    transition: var(--transition);
}

.btn:hover{
    background: transparent;
    color: var(--color-white);
    border-color: var(--color-white);
}

.btn-primary{
    background: var(--color-danger);
    color: var(--color-white);
}

/*==================================   NAVBAR   ============================*/
nav{
    background: transparent;
    width:100vw;
    height: 8rem;
    position: fixed;
    top: 0;
    z-index: 11;
}

/*change navbar styles on scroll using javascript*/
.window-scroll{
    background: var(--color-secondary);
    box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2);
}
.nav_container{
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav button{
    display: none;   
}

.nav_menu{
    display: flex;
    align-items: center;
    gap: 4rem;
}
.nav_menu a{
    font-size: 1.2rem;
    transition: var(--transition);
}
.nav_menu a:hover{
    color: var(--color-bg2);
}


.logo img{
    width: 15vw;
    float: left;
    padding-left: 0%; 
    padding-top: 3%;
}
/*==================================   HEADER   ============================*/
header{
    position: relative;
    top: 8rem;
    overflow: hidden;
    height: 70vh;
    margin-bottom: 5rem;
}
.header_container{
    display:grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    gap: 5rem;
    height: 100%;
}
.header_left p{
    margin: 1rem 0 2.4rem;

}

/*==================================   ACADEMIC PROGRAMS  ============================*/
.course{
    margin-top: 1rem;
}
.courses_container{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
}
.course{
    background: var(--color-bg1);
    text-align: center;
    border: 1px solid transparent;
    transition: var(--transition);
}
.course:hover{
    background: transparent;
    border-color: var(--color-primary);
}

.course_info{
    padding:5rem;
}
.course_title h4{
    margin: 1.2rem 0 2rem;
    
}
.button{
    margin-top: 1rem;
    margin-bottom: 1rem;
}

/*==================================  FOOTER  ============================*/
footer{
background: var(--color-bg1);
padding-top: 5rem;
font-size: 0.9rem;
}

.footer_container{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 5rem;
}

.footer_container > div h4{
    margin-bottom: 1.2rem;
}

.footer_1 p{
    margin: 0 0 2rem;
}
footer ul li{
    margin-bottom: 0.7rem;
}
footer ul li a:hover{
    text-decoration: underline;
}
.footer_socials{
    display: flex;
    gap: 1rem;
    font-size: 1.2rem;
    margin-top: 2rem;
}
.footer_copyright{
    text-align: center;
    margin-top: 4rem;
    padding: 1.2rem 0;
    border-top: 1px solid var(--color-bg2);
} 

/*======================= MEDIA QUEERIES (TABLETS) ========================= */
@media screen and (max-width: 1024px) {
   .container{
        width: var(--container-width-md);
   }
   h1{
    font: size 2.2rem;
   }
   h2{
    font-size: 1.7rem;
   }
   h3{
    font-size: 1.4rem;
   }
   h4{
    font-size: 1.2rem;
   }


 /*======================= NAVBAR =========================*/
 nav button{
    display: inline-block;
    background: transparent;
    font-size: 1.8rem;
    color: var(--color-white);
    cursor: pointer;
 }

nav button#close-menu-btn{
    display: none;
}
.nav_menu{
    position: fixed;
    top: 5rem;
    right: 5%;
    height: fit-content;
    width: 18rem;
    flex-direction: column;
    gap: 0;
    display: none;
}
.nav_menu li {
    width: 100%;
    height: 5.8rem;
    animation: animateNavItems 400ms linear forwards;
    transform-origin: top right;
    opacity: 0;
}
.nav_menu li:nth-child(2){
    animation-delay: 200ms;
}
.nav_menu li:nth-child(3){
    animation-delay: 400ms;
}
.nav_menu li:nth-child(4){
    animation-delay: 600ms;
}

@keyframes animateNavItems{
    0%{
        transform: rotateZ(-90deg) rotateX(90deg) scale(0.1);
    }
    100%{
        transform: rotateZ(0)rotateX(0) scale(1);
        opacity: 1;
    }
}
.nav_menu li a {
    background: var(--color-primary);
    box-shadow: -4rem 6rem 10rem rgba(0, 0, 0, 0.6); 
    width: 100%;
    height: 100%;
    display: grid;
    place-items: center ;
}
.nav_menu li a:hover{
    background: var(--color-bg2);
    color: var(--color-white);
}
 /*======================= HEADER =========================*/
header{
    height: 52vh;
    margin-bottom: 4rem;
}
.header_container{
    gap:0;
    padding-bottom: 3rem;
}
/*======================= PROGRAMS =========================*/
.courses{
    margin-top: 0;
}
.courses_container{
    grid-template-columns: 1fr 1fr;
}
/*======================= FOOTER     =========================*/
.footer_container{
    grid-template-columns: 1fr 1fr;
}
}

/*======================= MEDIA QUEERIES (PHONES) ========================= */
@media screen and (max-width: 600px){
    .container{
        width: VAR(--container-width-sm);
    }

/*======================= NAVBAR =========================*/
.nav_menu{
    right: 3%;
}

/*======================= HEADER =========================*/
header{
    height: 100vh;
    margin-bottom: 4rem;
}
.header_container{
    grid-template-columns: 1fr;
    text-align: center;
    margin-top: 0;
}
.header_left p{
    margin-bottom: 1.3rem;
}
/*======================= PROGRAMS =========================*/
.courses_container{
    grid-template-columns: 1fr;
}
/*======================= FOOTER     =========================*/
.footer_container{
    grid-template-columns: 1fr;
    text-align: center;
    gap: 2rem;
}
.footer_1 p{
    margin: 1rem auto;
}
.footer_socials{
    justify-content: center;
}

}



/** *****************************************
    *            CSS FOR ABOUT              *   
    *****************************************   */ 


    /*======================= ACHIEVEMENTS     =========================*/
.about_achievemnts{
    margin-top: 3rem;
}

.about_achievements-container {
    display:grid;
    grid-template-columns: 50% 50%;
    gap: 4rem;
}

.about_achievements-right > p{
    margin: 1.6rem 0 2.5rem;
}
.about_achievements-right > h1{
    margin-top: 3rem;
}

.about_achievements-left {
    margin-top: 7.5rem;
    margin-left: 0.01rem;
}

.achievements_cards {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5rem;
}

.achievement_card{
    background: var(--color-bg1);
    padding: 1.6rem;
    border-radius: 1rem;
    text-align: center;
    transition: var(--transition);
}

.achievement_card:hover{
    background: var(--color-bg2);
    box-shadow: 0 3rem 3rem rgba(0, 0, 0, 0.3);
}

.achievement_icon {
     background:var(--color-danger);
     padding: 0.6rem;
     border-radius: 1rem;
     display: inline-block;
     margin-bottom: 2rem;
     font-size: 2rem;
}

.achievement_card:nth-child(2) .achievement_icon {
     background: var(--color-success);
}

.achievement_card:nth-child(3) .achievement_icon {
     background: var(--color-warning);
}

.achievement_card p{
    margin-top: 1rem;
}


/*======================= ABOUT =========================*/
.vision {
    background-color: var(--color-primary);
    padding: 2rem;
    border-radius: 1rem;
    display: inline-block;
    margin-bottom: 2rem;
    font-size: 2rem;
    text-align: center;
}

.vision p {
    margin: 1rem;
    font-size: 1.5rem ;
    color: var(--color-white);
}
.vision h1{
     color:var(--color-white);
}

.mission {
    background-color: var(--color-bg1);
    padding: 2rem;
    border-radius: 1rem;
    display: inline-block;
    margin-bottom: 2rem;
    font-size: 2rem;
    text-align: center;
}

.mission p {
    margin: 1rem;
    font-size: 1.5rem ;
    color: var(--color-white);
}
.mission h1{
     color:var(--color-white);
}

.core_values{
    background-color: var(--color-bg2);
    padding: 2rem;
    border-radius: 1rem;
    display: inline-block;
    margin-bottom: 2rem;
    font-size: 2rem;
    text-align: center;
}

.core_values h3{
    font-size: 1.8rem;
    text-align: left;
    margin-left: 6rem;
    color:sienna;
}

.core_values p{
    margin-left: 8rem;
    text-align: justify;
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-size: 1.5rem;
}

/*======================= MEDIA QUEERIES (TABLETS) ========================= */
@media screen and (max-width: 1024px) {
.about_achievemnts{
    margin-top: 2rem;
}

.about_achievements-container{
    grid-template-columns: 1fr;
    gap: 4rem;
}

.about_achievements-left{
    width: 80%;
    margin:0 auto;
}

.core_values h3{
    margin-left: 1rem;
}
.core_values p{
   text-align: center;
   margin-left: 1rem;
   margin-top: 0.1rem;
}
}

/*======================= MEDIA QUEERIES (PHONES) ========================= */
@media screen and (max-width: 600px){
.achievement_card{
    grid-template-columns: 1fr 1fr;
    gap: 0.7rem;
}
      
.core_values h3{
   margin-left: 1rem;
    }
    .core_values p{
       text-align: center;
       margin-left: 1rem;
       margin-top: 0.1rem;
    }
}



/** *****************************************
    *            CSS FOR COURSES            *   
    *****************************************   */ 

/*======================= TUITION FEE TABLE ========================= */
    .tuition_fee{
        text-align: center; 
        border-radius: 5px 5px 0 0;
        overflow: hidden;
        box-shadow: 0 0 20px rgba(0,0,0,0.15);          
    }
    .tuition_fee caption{
        font-size: 1.5rem;
        font-weight: bold; 
    }
    .content-table{
        border: solid thin white;
        border-collapse:collapse;
        margin-left: auto;
        margin-right: auto;
        margin-top: 10rem;
        margin-bottom: 10rem;
        font-size: 0.9em;
        min-width: 400px;
       
    }

    .stripe{
        background-color: var(--color-secondary);
    }
    .content-table thead tr{
        background-color: var(--color-primary);
        color: var(--color-white);
        text-align: left;
        font-weight: bold;
    }
    
    .content-table th, .content-table td {
        padding: 12px 15px;
    }
    
    .content-table tbody tr{
        border-bottom: 1px solid #ddd;
    }
    
    .content-table tbody tr:nth-of-type{
        border-bottom: 1px solid #f3f3f3 ;
    }
    
    .content-table tbody tr:lst-of-type{
        border-bottom: 3px solid thick var(--color-primary);
    }


/*======================= ACADEMICS ========================= */

/** *****************************************
    *            CSS FOR CONTACT            *   
    *****************************************   */ 

.contact_container{
    background: var(--color-bg1);
    padding:4rem;
    display: grid;
    grid-template-columns: 40% 60%;
    gap: 4rem;
    height: 30rem;
    margin: 12rem auto;
    border-radius: 1rem;
} 

/*======================= ASIDE ========================= */
.contact_aside{
    background: var(--color-primary);
    padding: 3rem;
    border-radius: 1rem;
    position: relative;
    bottom: 10rem;
}

.aside_image{
    width: 12rem;
    margin-bottom: 2rem;
}

.contact_aside h2{
    text-align: left;
    margin-bottom: 1rem;
}
.contact_aside p{
    font-size: 0.9rem;
    margin-bottom: 2rem;
}

.contact_details li {
    display: flex;
    gap: 1rem;
    align-items: center;
    margin-bottom: 1rem;
}

.contact_socials{
    display:flex;
    gap:0.8rem ;
    margin-top: 3rem;
}

.contact_socials a{
    background: var(--color-bg2);
    padding: 0.5rem;
    border-radius: 50%;
    font-size: 0.9rem;
    transition: var(--transition);
}

.contact_socials a:hover{
    background: transparent;
}

/*======================= FORM ========================= */

.contact_form{
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
    margin-right: 4rem;
}

.form_name{
    display: flex;
    gap: 1.2rem ;
}

.contact_form input[type="text"]{
    width: 50%;
}

.contact_form input, textarea{
    width: 100%;
    padding: 1rem;
    background: var(--color-bg);
    color: var(--color-white);
}

.contact_form.btn{
    width: max-content;
    margin-top: 1rem;
    cursor: pointer;
    
}


/*======================= MEDIA QUEERIES (TABLETS) ========================= */
@media screen and (max-width: 1024px){

    .contact_container{
        gap: 1.5rem;
        margin-top: 3rem;
        height: auto;
        padding: 1.5rem;
    }

    .contact_aside{
        width: auto;
        padding: 1.5rem;
        bottom: 0;
    }

    .contact_form{
        align-self: center;
        margin-right: 1.5rem;
    }
}

/*======================= MEDIA QUEERIES (PHONES) ========================= */
@media screen and (max-width: 600px){
    .contact_container{
        grid-template-columns: 1fr;
        gap: 3rem;
        margin-top: 0;
        padding: 0;
    }

    .contact_form{
        margin: 0 1.5rem 3rem;
    }

    .formm_name{
        flex-direction: column;
    }

    .form_name input[type="text"]{
        width: 100%;
    }
    
}